import request from '@/utils/request'
// 查工艺分类名称
export function searchProcessClassification() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_基础表_工艺分类名称_查询数据'
    }
  })
}
// 增加工艺分类
export function addProcessClassification(ProcessClassification) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_基础表_工艺分类名称_增加数据',
      param: '工艺分类名称=' + ProcessClassification
    }
  })
}
// 编辑工艺分类
export function editProcessClassification(ProcessClassificationNum, ProcessClassification) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_基础表_工艺分类名称_修改数据',
      param: '工艺分类流水号=' + ProcessClassificationNum + '&工艺分类名称=' + ProcessClassification
    }
  })
}
// 通过工艺编分类流水号查工艺分类名称
export function searchProcessClassificationOfProcessClassificationNum(ProcessNum) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_基础表_工艺分类名称_根据流水号_查询数据_MESWORK',
      param: '工艺分类流水号=' + ProcessNum
    }
  })
}
// 删除工艺分类
export function delProcessClassification(ProcessClassificationNum) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_基础表_工艺分类名称_删除数据',
      param: '工艺分类流水号=' + ProcessClassificationNum
    }
  })
}
// 通过工艺分类流水号查工艺名称
export function searchProcessNameOfProcessClassification(ProcessClassificationNum) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_基础表_工艺名称_查询数据_按工艺分类流水号查_MESWORK',
      param: '工艺分类流水号=' + ProcessClassificationNum
    }
  })
}
// 通过工艺编号查工艺要求
export function searchTechnologicalRequirementsOfProcessNum(ProcessNum) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理_基础表_工艺要求_查询数据',
      param: '工艺编号=' + ProcessNum
    }
  })
}
// 增加工艺
export function addProcess(ProcessClassificationNum, ProcessName, ShortName) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: 'dbo.车间生产管理工艺_基础表_工艺名称_增加数据',
      param: '工艺分类流水号=' + ProcessClassificationNum + '&工艺名称=' + ProcessName + '&工艺名称简称=' + ShortName
    }
  })
}
// 编辑工艺
export function editProcess(ProcessClassificationNum, ProcessName, ShortName) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_基础表_工艺名称_修改名称及简称',
      param: '工艺编号=' + ProcessClassificationNum + '&工艺名称=' + ProcessName + '&工艺名称简称=' + ShortName
    }
  })
}
// 删除工艺
export function delProcess(ProcessNum) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_基础表_工艺名称_删除数据',
      param: '工艺编号=' + ProcessNum
    }
  })
}
// 新增工艺要求
export function addTechnologicalRequirements(ProcessClassificationNum, ProcessName) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理_基础表_工艺要求_增加数据',
      param: '工艺编号=' + ProcessClassificationNum + '&工艺要求=' + ProcessName
    }
  })
}
// 编辑工艺要求
export function editTechnologicalRequirements(ProcessClassificationNum, ProcessName) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理_基础表_工艺要求_修改数据',
      param: '工艺要求流水号=' + ProcessClassificationNum + '&工艺要求=' + ProcessName
    }
  })
}
// 删除工艺要求
export function delTechnologicalRequirements(ProcessClassificationNum) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理_基础表_工艺要求_删除数据',
      param: '工艺要求流水号=' + ProcessClassificationNum
    }
  })
}
